Bug 140320 - View menu should better fit after Edit
Summary: View menu should better fit after Edit
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Menus (show other bugs)
Version: 0.9.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-19 22:38 UTC by Luka Renko
Modified: 2017-08-02 21:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.1


Attachments
digikam-editor-menu.patch (1.48 KB, patch)
2007-01-23 21:45 UTC, Luka Renko
Details
digikam-showfoto-menu.patch (1.76 KB, patch)
2007-01-23 21:57 UTC, Luka Renko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luka Renko 2007-01-19 22:38:07 UTC
Version:           0.9.0-svn (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
OS:                Linux

Digikam Image Editor menu is in most aspects very clear (I for example do not agree with bug 103244) and easy to follow, however I have minor comment: I think that View menu (currently between Transform and Filters) should be moved after Edit. That way all major editor operations (Image, Fix, Transform, Filters) would be together, while View would be near Edit which is common with other apps.

New structure would look like this:
- File
- Edit
- View
- Image
- Fix
- Transform
- Filters
- Settings
- Help
Comment 1 Fabien 2007-01-22 14:16:21 UTC
I agree.
I also think the Settings/"Full screen mode" entry should be moved to the View menu... I saw it was a wish reported on Debian bts.
Comment 2 Luka Renko 2007-01-23 21:45:40 UTC
Created attachment 19390 [details]
digikam-editor-menu.patch

Proposed patch for current SVN to place View menu after Edit.

If this is OK with digikam authors, I can commit it to KDE SVN.
Comment 3 Luka Renko 2007-01-23 21:53:31 UTC
Fabien, I agree also with your point about Full screen mode which should be moved to View menu (also to match Konqueror which is standard). This has to be done both for Digikam, Digikam Editor and Showfoto. This is already discussed in 89365
Comment 4 Luka Renko 2007-01-23 21:57:12 UTC
Created attachment 19391 [details]
digikam-showfoto-menu.patch

Same change for ShowFoto application.
Comment 5 Luka Renko 2007-01-24 15:29:40 UTC
SVN commit 626745 by lure:

Digikam Editor and ShowFoto menu improvements:
- move View menu after Edit menu
- move Full Screen Mode from Settings to View menu

BUG: 140320
CCBUG: 127617


 M  +18 -18    showfoto/showfotoui.rc  
 M  +16 -16    utilities/imageeditor/editor/digikamimagewindowui.rc  


--- trunk/extragear/graphics/digikam/showfoto/showfotoui.rc #626744:626745
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<gui version="9" name="showfoto" >
+<gui version="10" name="showfoto" >
 
 <MenuBar>
 
@@ -31,6 +31,23 @@
         <Action name="editorwindow_redo" />      
     </Menu>
 
+    <Menu name="View" ><text>&amp;View</text>
+        <Action name="editorwindow_fullscreen" /> 
+        <Separator/>
+        <Action name="editorwindow_zoomplus" />
+        <Action name="editorwindow_zoomminus" />
+        <Action name="editorwindow_zoomfit" /> 
+        <Separator/>
+        <Action name="shofoto_showthumbs" /> 
+        <Action name="editorwindow_histogram" /> 
+        <Separator/>
+        <Action name="editorwindow_slideshow" />
+        <Separator/>
+        <Action name="editorwindow_underexposure" />        
+        <Action name="editorwindow_overexposure" />            
+        <Action name="editorwindow_cmview" />        
+    </Menu>
+
     <Menu name="Image" ><text>&amp;Image</text>
         <Separator/>
     </Menu>
@@ -46,21 +63,6 @@
         <Action name="editorwindow_resize" /> 
     </Menu>
 
-    <Menu name="View" ><text>&amp;View</text>
-        <Action name="editorwindow_zoomplus" />
-        <Action name="editorwindow_zoomminus" />
-        <Action name="editorwindow_zoomfit" /> 
-        <Separator/>
-        <Action name="shofoto_showthumbs" /> 
-        <Action name="editorwindow_histogram" /> 
-        <Separator/>
-        <Action name="editorwindow_slideshow" />
-        <Separator/>
-        <Action name="editorwindow_underexposure" />        
-        <Action name="editorwindow_overexposure" />            
-        <Action name="editorwindow_cmview" />        
-    </Menu>
-
     <Menu name="help" ><text>&amp;Help</text>
         <Action name="editorwindow_imagepluginshelp" />
         <Separator/>
@@ -73,8 +75,6 @@
         <Action name="options_show_toolbar" />
         <Merge name="StandardToolBarMenuHandler" />
         <Separator/>
-        <Action name="editorwindow_fullscreen" /> 
-        <Separator/>
         <Action name="options_configure_keybinding" />
         <Action name="options_configure_toolbars" />
         <Action name="options_configure" />
--- trunk/extragear/graphics/digikam/utilities/imageeditor/editor/digikamimagewindowui.rc #626744:626745
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<gui version="7" name="digikamimagewindow" >
+<gui version="8" name="digikamimagewindow" >
 
 <MenuBar>
 
@@ -28,20 +28,9 @@
         <Action name="editorwindow_redo" />
     </Menu>
   
-    <Menu name="Image" ><text>&amp;Image</text>
-    </Menu>
-
-    <Menu name="Fix" ><text>Fi&amp;x</text>
-    </Menu>
-
-    <Menu name="Transform" ><text>&amp;Transform</text>
-        <Action name="editorwindow_rotate" /> 
-        <Action name="editorwindow_flip" /> 
-        <Action name="editorwindow_crop" /> 
-        <Action name="editorwindow_resize" /> 
-    </Menu>
-
     <Menu name="View" ><text>&amp;View</text>
+        <Action name="editorwindow_fullscreen" />
+        <Separator/>
         <Action name="editorwindow_zoomplus" /> 
         <Action name="editorwindow_zoomminus" /> 
         <Action name="editorwindow_zoomfit" />
@@ -55,6 +44,19 @@
         <Action name="editorwindow_cmview" />        
     </Menu>
 
+    <Menu name="Image" ><text>&amp;Image</text>
+    </Menu>
+
+    <Menu name="Fix" ><text>Fi&amp;x</text>
+    </Menu>
+
+    <Menu name="Transform" ><text>&amp;Transform</text>
+        <Action name="editorwindow_rotate" /> 
+        <Action name="editorwindow_flip" /> 
+        <Action name="editorwindow_crop" /> 
+        <Action name="editorwindow_resize" /> 
+    </Menu>
+
     <Menu name="help" ><text>&amp;Help</text>
         <Action name="editorwindow_imagepluginshelp" />
         <Separator/>
@@ -67,8 +69,6 @@
         <Action name="options_show_toolbar"/>
         <Merge name="StandardToolBarMenuHandler" />
         <Separator/>
-        <Action name="editorwindow_fullscreen" />
-        <Separator/>
         <Action name="options_configure_keybinding"/>
         <Action name="options_configure_toolbars"/>
         <Action name="options_configure" />